<!DOCTYPE html>
<html dir="rtl" lang="ar">

<?php 

 include '../../admin/config.php';
 $conn = new mysqli($HostName, $HostUser, $HostPass, $DatabaseName);
 
  $id_user = $_GET["id_user"];  
  $id_gift =  $_GET["id_gift"];  

  $date = date("Y-m-d") ;
  $title = $_GET["title"];    
  
  $UsernameOrTel = $_GET["UsernameOrTel"];   
  $other =  $_GET["other"]; 
  
 
   if (isset($_GET["id_user"])) { // جلب معلومات المستخدم
	  
	    $query = "SELECT email, point FROM USERS WHERE id='$id_user' ";
        $result = mysqli_query($conn,$query);
        if($row = mysqli_fetch_array($result)) {
			$point = $row['point'] ;
			$email = $row['email'] ;
         }
		 
     }
 
 
	if (isset($_GET["id_gift"])) { // جلب معلومات الطلب
		   
	    $query = "SELECT id, title, min_point, price FROM GIFTS WHERE id='$id_gift' ";
        $result = mysqli_query($conn,$query);
        if($row = mysqli_fetch_array($result)) {
			$id = $row['id'] ;
			$title = $row['title'] ;
			$min_point = $row['min_point'] ;
			$price = $row['price'] ;
			
         }
	  }


if (isset($_GET["title"])) {
		 
		 if ( $point < $min_point) {
		     	 echo "المجوهرات لم تصبح كافية ...." ; 
				 return ;
		 }
		 
		 $order = " الامــيل الخاص بك :" . $email ."<br>" . 
      		      "رقم الطلب ID:" . $id_gift . "<br>" . 
            	  "نوع الطلب: " . $title . "<br>" . 
		          " المبلغ : " . $price . "<br>" . 
				  " مجوهرات الطلب : " . $min_point . "<br>" .
				  " المجوهرات المتوفرة  : " . $point . "<br>" .
				  " معلومات ارسال الطلب : " . $UsernameOrTel . "<br>" .
				  " معلومات إضافية: " . $other . "<br><br>" ;
		 
	 $sql = "UPDATE USERS SET point=point-$min_point WHERE email='$email'"; 
       if ( $conn->query($sql) === TRUE) {
		   echo $order . "<br>" ;
		   $sql = " INSERT INTO `ORDERS`(`email`, `orders`, `date`, `status`) VALUES ('$email', '$order', '$date' , 'true')";
         if ($conn->query($sql) === TRUE) {
             echo "تم إرسال الطلب ، \n راجع قسم التواصل والدعم ...." ;
			 echo "<script> window.close(); </script>";
			 return ;
          } else {
             echo "Error: " . $sql . "<br>" . $conn->error;
			 return ;
          }
	   }

		   
 }


 ?>
 
 
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<style>
form {
  padding: 10px;
  border: 1px solid #4CAF50;
}

</style>

<body>
<form action="order.php">

<input type="hidden" id="id_user" name="id_user" value=" <?php  echo $id_user; ?>">
<input type="hidden" id="id_gift" name="id_gift" value=" <?php  echo $id_gift; ?>">
<input type="hidden" id="title" name="title" value=" <?php  echo $title; ?>">
<input type="hidden" id="min_point" name="min_point" value=" <?php  echo $min_point; ?>">
<input type="hidden" id="price" name="price" value=" <?php  echo $price; ?>">

  مجوهراتك: <?php  echo $point; ?> 
  <p>طلبت <?php  echo $price ; ?> على <?php  echo $title; ?> </p>
  <label for="fname">تحتاج إلى إدخال معلومات <?php  echo $title; ?> :</label><br>
  <label for="fname">البريد الالكتروني  أو اسم مستخدم أو رقم هاتف طلبك:</label><br>
  <input type="text" id="UsernameOrTel" name="UsernameOrTel" ><br>
  <br>
  <label for="lname"> اختياري: معلومات إضافبة للطلب مثلا: نوع التعبئة</label><br>
  <input type="text" id="other" name="other" ><br><br>
  <input style="padding: 8px;" type="submit" value="إرسال الطلب" >
</form> 

</body>
</html>
</html>